body{
    background-image: rgb(242, 246, 247); /*url(/public/imagenes/Diseño\ de\ fondo\ de\ pantalla.png);*/
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    display: flex; /* Activa Flexbox */
    justify-content: center; /* Centra horizontalmente */
    align-items: center; /* Centra verticalmente */
    height: 100vh; /* Ocupa toda la altura de la pantalla */
    margin: 0;
    box-sizing: border-box;

}

/*estilo para la imagen principal*/
.logo{
    
  max-height:300px;
  margin-top:-50px;
  margin-bottom: 20px;

}

.title {
  color: #f0f0f0; /* Blanco suave */
}

/* estilo para el login  */


.login-body {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  background-size: cover;
  font-family: 'Montserrat', sans-serif;
}


.container-form {
  display: flex;
  border-radius: 20px;
  box-shadow: 0 5px 7px rgba(0, 0, 0, .1);
  height: 500px;
  max-width: 900px;
  transition: all 1s ease;
  margin: 10px;
  
}

.form label {
  display: block; /* Asegura que cada elemento esté en su línea */
  margin-bottom: 15px; /* Espaciado entre campos */
}

.information {
  width: 40%;
  display: flex;
  align-items: center;
  text-align: center;
  background-color: #FFDF00;  
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
 
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.info-childs {
  width: 100%;
  padding: 0 30px;/* container de sopprte del lopgin de bienbenidos */

}

.info-childs h2 {
  font-size: 2.1rem;
  text-align: center; /* Centra el texto horizontalmente */
  margin: 20px 0; /* Ajusta el espaciado superior e inferior según sea necesario */
}

.info-childs p {
  margin: 15px;
  color: #000;
  text-align: center;
}

.info-childs input {
  background-color: #000;
  outline: none;
  border: solid 2px #fff;
  border-radius: 20px;
  padding: 10px 20px;
  color: #fff;
  cursor: pointer;
  transition: background-color 0.3s ease, box-shadow 0.3s ease, transform 0.3s ease;
  box-sizing: border-box; /* Asegura que el borde no afecte el tamaño */
}

.info-childs input:hover {
  background-color: #000; /* Color más oscuro en hover */
  border: solid 2px #fff; /* Mantener el borde al pasar el mouse */
  color: #fff;
  box-shadow: 0 5px 7px; /* Sombra para el efecto de elevación */
  transform: scale(1.05); /* Incrementa el tamaño del botón */
}


.form-information {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 60%;
  text-align: center;
  background-color: #f8f8f8;
  border-top-right-radius: 20px;
  border-bottom-right-radius: 20px;
  
  
}

.form-information-childs {
  padding: 0 30px;
 
}

.form-information-childs h2 {
  color: #333;
  
}

.form-information-childs p{
  color: #555;
}


.icons {
  margin: 15px 0;
}

.icons i {
 border-radius: 50px;
 padding: 15px;
 cursor: pointer;
 margin: 0 10px;
 color: #fff;
 border: solid thin #000;
 transition: background-color 0.3s ease;
 box-shadow: 0 2px 5px rgba(0, 0, 0, .1);
 
}

.icons i hover {
  background-color: #c7c7c7;
  color: #fff;

}

#register-form, #login-form {
  background-color: #f0f0f0;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Sombra semioscura */
}

.form {
  margin:  30px 0 0 0;
}

/* Estilo general para las etiquetas dentro del formulario */
.form label {
  display: flex; /* Asegura alineación horizontal entre el ícono y el campo */
  align-items: center; /* Centra verticalmente los elementos */
  margin-bottom: 15px; /* Espaciado entre campos */
  border-radius: 20px; /* Bordes redondeados */
  padding: 5px 10px; /* Espaciado interno */
  background-color: #fff; /* Fondo blanco */
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1); /* Sombra ligera para efecto 3D */
}

/* Estilo para los campos de entrada dentro de las etiquetas */
.form label input {
  flex: 1; /* El campo de entrada ocupa todo el espacio disponible */
  padding: 5px; /* Espaciado interno del campo */
  background-color: #fff; /* Fondo blanco */
  border: none; /* Sin borde */
  outline: none; /* Sin borde azul al hacer clic */
  border-radius: 20px; /* Bordes redondeados */
  color: #333; /* Color del texto */
  font-size: 16px; /* Tamaño de fuente */
  text-align: center;
}

/* Efecto al pasar el mouse sobre los campos de entrada */
.form label input:hover {
  transform: scale(1.05); /* Aumenta el tamaño ligeramente */
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2); /* Sombra más pronunciada */
  cursor: text; /* Cursor de texto para indicar edición */
}

/* Estilo para el botón de enviar */
.form input[type="submit"] {
  background-color: #000; /* Fondo negro */
  color: #fff; /* Texto blanco */
  border-radius: 20px; /* Bordes redondeados */
  border: none; /* Sin borde */
  padding: 10px 15px; /* Espaciado interno */
  cursor: pointer; /* Muestra el cursor en forma de mano */
  margin-top: 10px; /* Espaciado superior */
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1); /* Sombra ligera */
  font-size: 16px; /* Tamaño de fuente */
  transition: transform 0.3s ease, box-shadow 0.3s ease; /* Animación */
}

/* Efecto al pasar el mouse sobre el botón de enviar */
.form input[type="submit"]:hover {
  transform: scale(1.05); /* Aumenta ligeramente el tamaño */
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2); /* Sombra más pronunciada */
  cursor: pointer; /* Muestra el cursor en forma de mano */
}


.hide {
  display: none;
  position: absolute;
  transform: translateY(-300%);
  
}

input:focus {
  outline: none;
  border: 2px solid #FFDF00;
  box-shadow: 0 0 5px rgba(255, 223, 0, 0.5);

}


/* Estilos Responsivos para el Formulario de Registro/Login */

@media screen and (max-width:750px) {
  html {
    font-size: 12px;
  }
}

@media screen and (max-width:580px) {
  html {
    font-size: 10px;
  }


.container-form {
  height: auto;
  flex-direction: column;

}

.information{
  width: 100%;
  padding: 20px;
  border-top-left-radius:20px;
  border-bottom-left-radius: 0;
}

.form-information{
  width: 100%;
  padding: 20px;
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 0px;
}

}

  /* estilo para la imagen de las redes sociales */

  
.redes-sociales {
  position: fixed;
  top: 10px; 
  right: 10px; 
  display: flex;
  align-items: center;
}

.redes-sociales img {
  width: 40px;
  height: 40px; 
  margin-right: 10px; 
  transition: transform 0.3s;
}

.redes-sociales img:hover {
  transform: scale(1.1);
}

/*Estilo para los titulos*/
h1 {
  margin: 5px; 
}

h2 {
  margin: 5px; 
}

 /* estilo para los botones del la lisa no ordenada */

 nav.menu {
  position: relative;
  border-radius: 10px;
  
  
}

 nav.menu ul {
  list-style: none;
  padding: 0;
  margin: 0;
  text-align: center;
  
}

nav.menu ul li {
  display: inline-flex;
  margin-right: 30px;
  position: relative;

  
}

nav.menu ul li a {
  font-size: 20px;
  display: inline-block;
  text-decoration: none;
  padding: 10px 20px;
  margin: 5px;
  border-radius: 10px;
  background-color: #FFDF00;
  color: black;
  text-align: center;
  width: 200px;
  transition:all 0.3s ease;
  
}


nav.menu ul li a:hover {
  transform: scale(1.05); /* Reduce el efecto de escalado */
  transition: all 0.1s ease-in-out; /* Suaviza la animación */
  background-color:black;
   color: #FFDF00;
  
}

/* Estilos para el submenu */

nav.menu ul li {
  display: inline-flex;
  margin-top:auto;
  
}

nav.menu ul li ul {
  position: absolute;
  width: 220px;
  display: none;
  top: 100%;
  left: center;
  background-color: transparent;
  border-radius: 5px;
  z-index: 1000;
  
  

}

nav.menu ul li:hover > ul {
  display: block;
}

nav.menu ul li ul li {
  width: 250px; /* Ancho del submenu */

}

nav.menu ul li ul li a {
  border-radius: 10px;
  font-size: 18px;
  width: 200px;
  padding: 10px 20px;
  text-align: center;
  color: black;
 

}

nav.menu ul li ul li a:hover {
  background-color:black;
  color: #FFDF00;
  

}



